<refentry id="filename.element">
<?dbhtml filename="filename.html"?>
<refentryinfo>
<pubdate>$Date: 2002-06-12 19:19:37 +0800 (Wed, 12 Jun 2002) $</pubdate>
<releaseinfo>$Revision: 1666 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>filename</secondary></indexterm>
<refentrytitle>filename</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>filename</refname>
<refpurpose>&filename.purpose;</refpurpose>
</refnamediv>

&filename.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
A <sgmltag>Filename</sgmltag> is the name of a file on a local or network disk.
It may be a simple name or may include a path
or other elements specific to the operating system.
</para>

<refsect2><title>Processing expectations</title>
<para>
&format.inline; &pexp.moreinfo;
</para>
</refsect2>

<refsect2 role='fu' revision="4.0"><title>&FutureChanges;</title>
<para>
<indexterm><primary>DocBook DTD</primary><secondary>Changes for <acronym>V4.0</acronym></secondary>
</indexterm>
The content model of <sgmltag>Filename</sgmltag> will be constrained to
<literal>(#PCDATA | Replaceable | InlineGraphic)</literal> in DocBook <acronym>V4.0</acronym>.
</para>
</refsect2>

<refsect2 role='fu' revision="5.0"><title>&FutureChanges;</title>
<para>Filename extensions can be explicitly identified with the
<literal>extension</literal> class value.</para>
</refsect2>



&filename.parents.gen;
&filename.children.gen;
</refsect1>
<refsect1 condition='ref.elem.attrdesc'><title>Attributes</title>
<variablelist>
<varlistentry><term>class</term>
<listitem>
<para>
<sgmltag class="attribute">Class</sgmltag> allows the author to identify particular
kinds of files.
</para>
</listitem>
</varlistentry>
<varlistentry><term>moreinfo</term>
<listitem>
<para>
If <sgmltag class='attribute'>MoreInfo</sgmltag> is set to <literal>RefEntry</literal>,
it implies that a <sgmltag>RefEntry</sgmltag> exists which further describes the
<sgmltag>Filename</sgmltag>.
</para>
</listitem>
</varlistentry>
<varlistentry><term>path</term>
<listitem>
<para>
<sgmltag class="attribute">Path</sgmltag> contains the <emphasis>search</emphasis> path,
possibly in a system or application specific form, on which the file
can be found.
</para>
</listitem>
</varlistentry>
</variablelist>
</refsect1>
<refsect1 condition='ref.elem.seealso'><title>See Also</title>
&filename.seealso.gen;
</refsect1>
<refsect1><title>Examples</title>

<informalexample role="example-source">
<programlisting>&filename.example.1.txt;</programlisting>
</informalexample>

<anchor id="ex.os.filename.1" role="HACK-ex.out.start"/>
&filename.example.1.gen;
<anchor id="ex.oe.filename.1" role="HACK-ex.out.end"/>

&filename.example.seealso.gen;
</refsect1>
</refentry>

